# Interface SearchSuggestion

A search suggestion for tasks/search/SearchProvider!SearchProvider.

interface SearchSuggestion {
feature?: Feature;
featureSource?: FeatureSource;
score: number;
suggestion: string;
}

#####
Index

### Properties

feature?
featureSource?
score
suggestion

##
Properties

### `Optional` feature

feature?: Feature

Contains the feature if the suggestion is logically tied to a specific feature. This is the case for example when working with Studio Search provider.

### `Optional` featureSource

featureSource?: FeatureSource

Contains the feature source if the suggestion is logically tied to a specific source. This is the case for example when working with Studio Search provider.

### score

score: number

A number from 1-100 indicating how strong the match is.

### suggestion

suggestion: string

The suggested text.